{ config, ... }:
{
  services.tlp = {
    enable = true;
    settings = let
      leastBat = 80;
      maxBat = 85;
    in {
      # Stop battery charging after threshold
      START_CHARGE_THRESH_BAT0 = leastBat;
      STOP_CHARGE_THRESH_BAT0 = maxBat;
      START_CHARGE_THRESH_BAT1 = leastBat;
      STOP_CHARGE_THRESH_BAT1 = maxBat;

      # Change CPU energy/performance policy to power
      CPU_ENERGY_PERF_POLICY_ON_AC = "performance";
      CPU_ENERGY_PERF_POLICY_ON_BAT = "power";

      # Enable the platform profile low-power
      PLATFORM_PROFILE_ON_AC = "performance";
      PLATFORM_PROFILE_ON_BAT = "low-power";

      # Disable turbo boost
      CPU_BOOST_ON_AC = 1;
      CPU_BOOST_ON_BAT = 0;
      
      CPU_HWP_DYN_BOOST_ON_AC = 1;
      CPU_HWP_DYN_BOOST_ON_BAT = 0;
    };
  };
}
